Description

First release of the mod Modern Soldier 1.0 to Battlefield 2

Preview
Modern Soldier 1.0
Comments
illicitSoul
illicitSoul

Downloading right now !

Reply Good karma Bad karma+2 votes
austin830305
austin830305

aweson mod!!!!

Reply Good karma Bad karma+2 votes
ratpoison
ratpoison

Yep Awesome Mod!

Reply Good karma Bad karma+2 votes
captainLee
captainLee

haizz why gamefront :(

Reply Good karma Bad karma+1 vote
Jack_the_Crack
Jack_the_Crack

Doesn't work for me. All maps are crashing to desktop after loading...

Reply Good karma Bad karma+1 vote
Jack_the_Crack
Jack_the_Crack

bug report: system is searching for a texture in C:\dice..., but i got nothing installed on C: How can I fix it?

Reply Good karma Bad karma+1 vote
DarkWolf985 Author
DarkWolf985

Can you make it more clear to me pls, thank you, sorry for your incovinience.

Reply Good karma+1 vote
Jack_the_Crack
Jack_the_Crack

Got the following BF2 error:
Debug assertion failed
Module: Rend DX9
File: C:\dice\projects\bf2branches\
patch_1_50\code\bf2\rendDX9\texture manager.cpp
Texture not found

Reply Good karma Bad karma+1 vote
AlvaG6
AlvaG6

i think you must reinstall bf2 or the mod

Reply Good karma Bad karma+1 vote
KDust
KDust

What happened to the m98b ?? :(

Reply Good karma Bad karma+1 vote
ntblood
ntblood

I get the same error as Jack on launch:
texture manager.cpp Texture not found

I bought the Classic EA version of BF2. I tried installing the BF1.5 patch but it would not allow me saying that I had a more recent version. I also had to download the NovintHFX.dll file but that got me past that error. Now I have the texture manager.cpp missing error. Maybe it's because I couldn't install the 1.5 patch with this EA Classic version(?).

Debug assertion failed
Module: Rend DX9
File: C:\dice\projects\bf2branches\
patch_1_50\code\bf2\rendDX9\texture manager.cpp
Texture not found

Reply Good karma Bad karma+1 vote
ntblood
ntblood

I just re-installed BF and the basic game runs. It looks like in the menu the version # is 1.0.2442.0 so I don't know why the 1.5 patch wouldn't install, saying it's a more recent version but I'll try that again.

Reply Good karma Bad karma+1 vote
ntblood
ntblood

I think I was missing the step where you have to install the BF1.41 patch Before installing 1.5.

Reply Good karma Bad karma+1 vote
electr0memifyd
electr0memifyd

thanks man

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.